# Update feature

Update an existing feature's name, key, description, or associated permissions.

Endpoint: PATCH /resources/features/v1/{featureId}
Version: 1.0
Security: bearer

## Security:

  - `bearer` (unknown)
    http bearer JWT

## Path parameters:

  - `featureId` (string, required)

## Request fields (application/json):

  - `name` (string)
    String representing the feature name
    Example: Test Feature

  - `key` (string)
    String representing the feature key
    Example: test-feature

  - `description` (string)
    Feature description
    Example: This is a test feature

  - `permissions` (array)
    Array of permissions linked to a feature
    Example: ["permission.read","permission.write"]

